Skip to main content

List profanity words

Retrieve the profanity word list. Filter by type to get only blocked words, replacement words, or all words.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/profanity-word/list

Rate limit: 100 requests per second

Authentication: All server API requests require signature verification. See API request signing.

Request body

Content type: application/json

ParameterTypeRequiredDescription
filterTypeStringNoFilter type. 0: replacement words only. 1 (default): blocked words only. 2: all words.

Request example

HTTP
POST /v4/profanity-word/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"filterType": "1"
}

Response

PropertyTypeDescription
codeNumberStatus code. 0 indicates success.
result.wordsObject[]List of profanity words.
result.words[i].wordStringThe profanity word.
result.words[i].replacementStringReplacement text. Empty if the word is a block-type word.
result.words[i].filterTypeStringType. 0: replacement. 1: block.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"words": [
{
"word": "money",
"replacement": "***",
"filterType": "0"
}
]
}
}